/* Customisation */

/************* BORING LEGAL NOTICE *******************
**                                                  **
**  Assassins' Game (Semi-)Automatic Umpire System  **
**  ----------------------------------------------  **
**  Prerelease: Copyright 2000-2002 Edward M Nokes  **
**  This code may not be distributed in source or   **
**  executable form without the express consent of  **
**  the author, Edward M Nokes (emn23@cam.ac.uk).   **
**  The author accepts no responsibility or         **
**  liability for anything occurring as a result    **
**  of using this software, etc. etc.               **
**  ----------------------------------------------  **
*****************************************************/

/* HTML form defaults and attributes */
#define OPT_DefVictimID		LEG_ID			/* Default player for victim selector in first stage of event addition */
#define OPT_AutoRetarg		/*" checked"*/	/* Tick "retargetting" option in first stage of event addition by default? */
#define OPT_SelBySize		"10"			/* Default height of assassin selector in first stage of event addition */
#define OPT_SelOnSize		"10"			/* Default height of victim selector in first stage of event addition */
#define OPT_SelTypeSize		"2"				/* Default height of fatality selector in first stage of event addition */
#define OPT_PasswordSize	"24"			/* Default size of password boxes */

#define OPT_EditUserName	"size=40 maxlength=256"
#define OPT_EditUserAddr	"size=40 maxlength=256"
#define OPT_EditUserColl	"size=40 maxlength=256"
#define OPT_EditUserEmail	"size=40 maxlength=256"
#define OPT_EditUserMafia	"size=64 maxlength=256"

/* Default main report body for comment events */
#define OPT_FragComRep		"<h4><hr>[[[d0]] Comment title here<hr></h4>"LF"<p>Comment text here</p>"LF"[Z]"

/* Defalt headline text for comment events */
#define OPT_FragComHead		"Enter headline here"

/* Default text for additional reports */
#define OPT_FragNewRep		"... Enter report text here ..."

/* A function that should return the resurrection time (in hours) in force at the time given by the parameter.
** Will usually return a constant, but for extra fun, could have it decrease in the last few hours of the game */
int reshours(timmy* tim)
{
	return 0;
}

/* Title for various (assassination) event outcomes */
char* titletab[16] =
{
	"made an attempt on",				/* p1 alive, p2 alive, failed */
	"assassinated",					/* p1 alive, p2 alive, fatal */
	"disturbed the rest of",			/* p1 alive, p2 dead,  failed */
	"mutilated the corpse of",			/* p1 alive, p2 dead,  fatal */
	"made an attempt from beyond the grave on",	/* p1 dead,  p2 alive, failed */
	"reached out from beyond the grave to kill",	/* p1 dead,  p2 alive, fatal */
	"did something strange to",			/* p1 dead,  p2 dead,  failed */
	"did something very strange to",		/* p1 dead,  p2 dead,  fatal */
	"survived an attempt by",			/* p1 alive, p2 alive, failed, victim */
	"killed by",					/* p1 alive, p2 alive, fatal,  victim */
	"corpse disturbed by",				/* p1 alive, p2 dead,  failed, victim */
	"corpse mutilated by",				/* p1 alive, p2 dead,  fatal,  victim */
	"assulted from beyond the grave by",		/* p1 dead,  p2 alive, failed, victim */
	"taken to join the dead",			/* p1 dead,  p2 alive, fatal,  victim */
	"engaged in something strange with",		/* p1 dead,  p2 dead,  failed, victim */
	"engaged in something very strange with"	/* p1 dead,  p2 dead,  fatal,  victim */
};

/* XXX XXX --- Move dangerbonus() function here, and implement a scoring() function here */
/* Move all functional dependence on the TEST preprocessor definition here? */

