#if 0
/***************************************************************************************************************************
** Autogenerate the wanted list                                                                                           **
***************************************************************************************************************************/
int writewanted(void)
{
	struct anexist *exp, **expp;
	struct aplayer *pptr;
	struct apseudo* psp;
	FILE* fp = stdout;
	int i, z, colour = 0;
	char* p;

#ifndef http

	/* Build new filename */
	sprintf(newsleaf, "wanted.html");

	/* Create and open the new file */
	if (!(fp = my_fopen(newsfile, "wb"))) return (DOC_NewsUnOpen);

#endif

    /* Begin wanted HTML document */
	fputs(LF "<HTML><HEAD><TITLE>" GAME " Wanted List</TITLE></HEAD>"
		  LF "<BODY " COLSCHEME ">"
		  LF "<h1><hr>" GAME " Wanted List<hr></h1>"
		  LF "<!--#include file=\"" FRAG_URL "nwant1.txt\" -->", fp);

	/* Run through live wanted criminals */
	for (z = 0, expp = groups[GRP_LiveWanted].start; (exp = *expp) && (expp < groups[GRP_LiveWanted].lim); expp++)
	{
		/* printf("[%s]", exp->pptr->id); */

		/* Don't show hidden players or redeemed criminals */
		if (((pptr = exp->pptr)->flags & PF_Hidden) || (pptr->exist != exp)) continue;

		if (!z++) fputs(LF "<p><table cols=4 cellspacing=4 cellpadding=4 border=1>"
						LF "<thead><td>Pseudonym:</td><td>Name:</td><td>College:</td><td>Address</td></thead>", fp);

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#ffffff" : "#dddddd";

		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* All pseudonyms */
		for (pseudp = exp->pseud; (psp); psp = psp->link)
		{
			encapsulate(psp->text, fp);
			if (psp->link) fputs(", ", fp);
		}
		
		fprintf(fp, "</font></td>" LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>"
				LF "<tr><td colspan=4 bgcolor=%s><font color=#"FCOL">%s</font></td></tr>",
				p, pptr->name, p, pptr->coll, p, pptr->addr, p,
				((exp->comment) ? (exp->comment) : NO_COMMENT));
	}

	if (!z) fputs("<P>There are not yet any targets for our valient police force to vanquish.</P>", fp);
	else fputs("</table></p>", fp);
	fputs("<!--#include file=\"" FRAG_URL "nwant2.txt\" -->", fp);

	/* Run through live wanted criminals */
	for (z = 0, expp = groups[GRP_DeadWanted].start; (exp = *expp) && (expp < groups[GRP_DeadWanted].lim); expp++)
	{
		/* Don't show hidden players */
		if ((pptr = exp->pptr)->flags & PF_Hidden) continue;

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#ffdddd" : "#ddbbdd";

		if (!z++) fputs(LF "<p><table cols=4 cellspacing=4 cellpadding=4 border=1>"
						LF "<thead><td>Pseudonym:</td><td>Name:</td><td>College:</td><td>Killed by:</td></thead>", fp);
		
		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* All pseudonyms */
		for (psp = exp->pseud; (psp); psp = psp->link)
		{
			encapsulate(psp->text, fp);
			if (psp->link) fputs(", ", fp);
		}

		fprintf(fp, "</font></td><td bgcolor=%s><font color=#"FCOL">%s</font></td>"
					LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
					LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>"
					LF "<tr><td colspan=4 bgcolor=%s><font color=#"FCOL">%s</font></td></tr>",
					p, pptr->name, p, pptr->coll, p, "???", p,
					((exp->comment) ? (exp->comment) : NO_COMMENT));
	}

	if (!z) fputs("<p>The wages of sin are death... Nobody's been paid yet.</p>", fp);
	else fputs("</table></p>", fp);
	fputs("<!--#include file=\"" FRAG_URL "nwant3.txt\" -->", fp);
	
	/* Run through live wanted criminals */
	for (z = 0, expp = groups[GRP_LiveWanted].start; (exp = *expp) && (expp < groups[GRP_LiveWanted].lim); expp++)
	{
		/* Don't show hidden players, or those not actually redeemed (still the current existence) */
		if (((pptr = exp->pptr)->flags & PF_Hidden) || (pptr->exist == exp)) continue;

		if (!z++) fputs(LF "<p><table cols=2 cellspacing=4 cellpadding=4 border=1>"
						LF "<thead><td>Pseudonym:</td><td>Case history:</td></thead>", fp);

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#DDffdd" : "#bbddbb";

		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* All pseudonyms */
		for (psp = exp->pseud; (psp); psp = psp->link)
		{
			encapsulate(psp->text, fp);
			if (psp->link) fputs(", ", fp);
		}
		
		fprintf(fp, "</font></td><td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>", p,
				((exp->comment) ? (exp->comment) : NO_COMMENT));
	}

	if (!z) fputs("<p>None yet.</p>", fp);
	else fputs("</table></p>", fp);

	/* Table footer */
	fputs(LF "<!--#include file=\"" FRAG_URL "nwant4.txt\" -->", fp);

	/* Finish wanted HTML document */
	docfoot(fp, lastperp, 2);

#ifndef http

	/* Close file */
	fclose(fp);

#endif

	fprintf(stderr, "...wanted list written..." LF);
	return 0;
}

int writeincomp(struct period* lastperp)
{
	struct anexist *exp, **expp;
	struct aplayer *pptr;
	struct apseudo* psp;
	FILE* fp = stdout;
	int i, colour = 0, z;
	char* p;

#ifndef http

	/* Build new filename */
	sprintf(newsleaf, "incomp.html");

	/* Create and open the new file */
	if (!(fp = my_fopen(newsfile, "wb"))) return (DOC_NewsUnOpen);

#endif

    /* Begin wanted HTML document */
	fputs(LF "<HTML><HEAD><TITLE>" GAME " Incompetents List</TITLE></HEAD>"
		  LF "<BODY " COLSCHEME ">"
		  LF "<h1><hr>" GAME " Incompetents List<hr></h1>"
		  LF "<!--#include file=\"" FRAG_URL "ninc1.txt\" -->", fp);
		  
	/* Run through live incompetent players */
	for (z = 0, expp = groups[GRP_LiveIncomp].start; (exp = *expp) && (expp < groups[GRP_LiveIncomp].lim); expp++)
	{
		/* printf("[%s]", exp->pptr->id); */

		/* Don't show hidden players or redeemed incompetents */
		if (((pptr = exp->pptr)->flags & PF_Hidden) || (pptr->exist != exp)) continue;

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#FFEBBB" : "#E0D580";

		if (!z++) fputs("<p><table cols=4 cellspacing=4 cellpadding=4 border=1>"
						LF "<thead><td>Pseudonym:</td><td>Name:</td><td>College:</td><td>Address</td></thead>", fp);
	
		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* All pseudonyms */
		for (psp = exp->pseud; (psp); psp = psp->link)
		{
			encapsulate(psp->text, fp);
			if (psp->link) fputs(", ", fp);
		}
		
		fprintf(fp, "</font></td>" LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>",				
				p, pptr->name, p, pptr->coll, p, pptr->addr);

		if ((exp->comment) && (strcmp(exp->comment, NO_COMMENT)) && (strcasecmp(exp->comment, "Incompetence")))
		{
			fprintf(fp, LF "<tr><td colspan=4 bgcolor=%s><font color=#"FCOL">%s</font></td></tr>", p, exp->comment);
		}
	}

	/*if (!z) fputs("<P>There won't be any for a week or so...</P>", fp);*/
	if (z) fputs("</table></p>", fp);
	fputs("<!--#include file=\"" FRAG_URL "ninc2.txt\" -->", fp);

	/* Run through live incompetent police */
	for (z = 0, expp = groups[GRP_LiveIncPolice].start; (exp = *expp) && (expp < groups[GRP_LiveIncPolice].lim); expp++)
	{
		/* printf("[%s]", exp->pptr->id); */

		/* Don't show hidden players */
		if ((pptr = exp->pptr)->flags & PF_Hidden) continue;

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#6EED8E" : "#63D580";

 	  	if (!z++) fputs(LF "<p><table cols=4 cellspacing=4 cellpadding=4 border=1>"
 						LF "<thead><td>Title:</td><td>Name:</td><td>College:</td><td>Address:</td></thead>", fp);
 	
		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* Default pseudonym */
		if (exp->dps) encapsulate(exp->dps->text, fp);
		
		fprintf(fp, "</font></td><td bgcolor=%s><font color=#"FCOL">%s [<a href=\"mailto:%s\">e-mail</a>]</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>",
				p, pptr->name, pptr->email, p, pptr->coll, p, pptr->addr);

		if ((exp->comment) && (strcmp(exp->comment, NO_COMMENT)) && (strcasecmp(exp->comment, "Incompetence")))
		{
			fprintf(fp, LF "<tr><td colspan=4 bgcolor=%s><font color=#"FCOL">%s</font></td></tr>", p, exp->comment);
		}
	}

	/*if (!z) fputs("<P>None yet.</P>", fp);*/
	if (z) fputs("</table></p>", fp);
	fputs("<!--#include file=\"" FRAG_URL "ninc3.txt\" -->", fp);

	/* Run through dead incompetents */
	for (z = 0, expp = groups[GRP_DeadIncomp].start; (exp = *expp) && (expp < groups[GRP_DeadIncomp].lim); expp++)
	{
		/* printf("[%s]", exp->pptr->id); */

		/* Don't show hidden players */
		if ((pptr = exp->pptr)->flags & PF_Hidden) continue;

		/* Alternate background colour */
		p = (colour = 1 - colour) ? "#B1C772" : "#EFC370";

		if (!z++) fputs(LF "<p><table cols=4 cellspacing=4 cellpadding=4 border=1>"
						LF "<thead><td>Title:</td><td>Name:</td><td>College:</td><td>Killed by:</td></thead>", fp);
	
		fprintf(fp, LF "<tr><td bgcolor=%s><font color=#"FCOL">", p);

		/* Default pseudonym */
		if (exp->dps) encapsulate(exp->dps->text, fp);
		
		fprintf(fp, "</font></td><td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td>"
				LF "<td bgcolor=%s><font color=#"FCOL">%s</font></td></tr>",
				p, pptr->name, p, pptr->coll, p, "???");

		if ((exp->comment) && (strcmp(exp->comment, NO_COMMENT)) && (strcasecmp(exp->comment, "Incompetence")))
		{
			fprintf(fp, LF "<tr><td colspan=4 bgcolor=%s><font color=#"FCOL">%s</font></td></tr>", p, exp->comment);
		}
	}

	/*if (!z) fputs("<P>None yet.</P>", fp);*/
	if (z) fputs("</table></p>", fp);

	/* Table footer */
	fputs(LF "<!--#include file=\"" FRAG_URL "ninc4.txt\" -->", fp);

	/* Finish wanted HTML document */
	docfoot(fp, lastperp, 7);

#ifndef http

	/* Close file */
	fclose(fp);

#endif

	fprintf(stderr, "...incompetents written..." LF);
	return 0;
}
#endif
