/* Configuration */

#ifdef BODGE
 #define TMPGAME "2003-mwtest/"
 #define TMPTHING "mwtest"
#else
 #define TMPGAME "2003-mw/"
 #define TMPTHING "mw03"
#endif

/************* BORING LEGAL NOTICE *******************
**                                                  **
**  Assassins' Game (Semi-)Automatic Umpire System  **
**  ----------------------------------------------  **
**  Prerelease: Copyright 2000-2002 Edward M Nokes  **
**  This code may not be distributed in source or   **
**  executable form without the express consent of  **
**  the author, Edward M Nokes (emn23@cam.ac.uk).   **
**  The author accepts no responsibility or         **
**  liability for anything occurring as a result    **
**  of using this software, etc. etc.               **
**  ----------------------------------------------  **
*****************************************************/

/* Additional admin security code when changing others' passwords */
#define PWSECURE			"aoeugcaeuiahueitsaoeuhonssnoenaoeinewiecutiteitaoeuianoeinebkxncaoneuneuyneytias.i"

/* Title of current game */
#define GAME				"May Week 2003"

/* URL of cgi-bin into which code is compiled, and various useful URLs */
#define CGI_URL				"http://www.srcf.ucam.org/assassins/cgi-bin/" TMPGAME
#define SKULL_URL			"http://www.srcf.ucam.org/assassins/img/skull.gif"
#define CROSS_URL			"http://www.srcf.ucam.org/assassins/img/cross.gif"
#define TICK_URL			"http://www.srcf.ucam.org/assassins/img/tick.gif"
#define WARN_URL			"http://www.srcf.ucam.org/assassins/img/warn.gif"

/* Dimensions of included images */
#define SKULL_SIZ			"border=0 width=34 height=34"
#define CROSS_SIZ			"border=0 width=34 height=34"
#define TICK_SIZ			"border=0 width=34 height=34"
#define WARN_SIZ			"border=0 width=34 height=34"

/* URL of index page for website */
#define NEWS_INDEX			"http://www.srcf.ucam.org/assassins/index.html"
#define NEWS_URL			"http://www.srcf.ucam.org/assassins/mw03/"
#define FRAG_URL			"frag/"

/* Pathnames to directories for non-CGI executables, CGI-executables, game data, and auto-gen HTML */
#define BIN_ROOT			"/societies/assassins/AutoUmpBin/" TMPGAME
#define CGI_ROOT			"/societies/assassins/cgi-bin/" TMPGAME
#define DATA_ROOT			"/societies/assassins/AutoUmpData/" TMPGAME
#define NEWS_ROOT			"/societies/assassins/public_html/" TMPTHING "/"
#define DOC_ROOT			"/societies/assassins/public_html/" TMPTHING "/doc/"

/* Day-of-year, Day-of-week, Day-of-month, Month, Year of start of game time (cannot handle anything before this date) */
#define StartingYDay		(163)
#define StartingWDay		(5)		/* Fri */
#define StartingMDay		(13)	/* 13th */
#define StartingMonth		(5)		/* June */
#define StartingYear		(2003)

/* Limits for date entry on forms -- NB, for safety's sake, should prevent day 0 from being used */
#define DAY_FullFirst		(0)
#define DAY_First			(1)
#define DAY_Last			(8)
#define DAY_FullLast		(9)
#define LAST_DAY			(9)
#define DAY_plinfoFirst		(1)		/* Cannot query earlier than 00:00 (exclusive) on this day */
#define DAY_plinfoLast		(8)	/* Cannot query later than 00:00 on this day */

/* Clamps for date selectors (inclusive min and max) */
#define TIME_DateSelFullMin	TVAL(0,0,0)
#define TIME_DateSelMin		TVAL(1,00,0)
#define TIME_DateSelMax		TVAL(7,99,99)
#define TIME_DateSelFullMax	TVAL(9,99,99)
#define TIME_pledFullMin	TVAL(0,0,0)
#define TIME_pledMin		TVAL(1,00,0)
#define TIME_pledMax		TVAL(7,99,99)
#define TIME_pledFullMax	TVAL(9,99,99)
#define TIME_eventFullMin	TVAL(0,0,0)
#define TIME_eventMin		TVAL(1,00,0)
#define TIME_eventMax		TVAL(7,99,99)
#define TIME_eventFullMax	TVAL(9,99,99)
#define TIME_plinfoMin		TVAL(1,00,0)
#define TIME_plinfoMax		TVAL(7,99,99)
#define TIME_genstatsMin	TVAL(0,0,0)
#define TIME_genstatsMax	TVAL(8,0,0)
#define TIME_chstatsMin		TVAL(0,0,0)

/* Default warning period before end of inactivity period */
/* #define INACT_WARNING	(5) */
#define HOURS_InactWarning	(5*24)

/* Define to disallow event addition by non-admin players */
#define OPT_PubAddEvents	0
#define OPT_NoAddEvents		0
#define OPT_NoEditEvents	0

/* Emailing of passwords to players when changed */
#define OPT_EmailPasswds	1

/* Randomise by default on some retargettings */
#define OPT_DefRandomTarg	1

/* Resurrect players by default when killed? (don't define to disable automatic resurrection)
** Value is deadline day after which kill events will not automatically resurrect their victim */
#define DAY_AutoResLimit		(7)
#define TIME_AutoResLimit	TVAL(7,17,59) 

/* Default scoring and dangerousness */
#define INITIAL_SCORE		(100L << SCORE_SHIFT)
#define INITIAL_DANGER		(0L << DANGER_SHIFT)
#define INITIAL_RANK		(0L)

/* Default inactivity period */
#define INACT_PERIOD		(7)
#define DEF_BOOST			(7)

/* Email address and "from" header for auto-generated email */
#define MAILFROM			"assassins@srcf.ucam.org"
#define MAILFROM_head		"The Umpires <" MAILFROM ">"
#define MAILDOMAIN			"@hermes.cam.ac.uk"

/* Batch Sendmail command line, args in separate strings (path, arg0, arg1, ...) */
#define SYS_SendMail		"/usr/lib/sendmail", "/usr/lib/sendmail", "-bS"

/* Allow player id selection by pseuds */
#define OPT_NoListPlayers	0
#define OPT_IDMenuMode		0
#define OPT_ChangePseud		1

/* Show scores */
#define OPT_ShowScore			1
#define OPT_ShowDanger			0
#define OPT_ShowShortComments	1

/* Don't show player lawfulness and type sorting options */
#define OPT_EasySort		1

/* Minimal and maximal allowable password lengths */
#define MIN_PasswordLen		6
#define MAX_PasswordLen		128

/* Maximal pseudonym length */
#define MAX_PseudLength		600
#define MAX_PseudDisplay	36			/* Limit on number of pseudonym chars to be displayed in forms */

/* Some colours */
#define BLUE	"#000055"
#define GREEN	"#005500"
#define RED		"#550000"
#define WHITE	"#FFFFFF"

/* How game time is divided up: news is placed on separate pages for each period (suffix gives filename suffix for each)
** Times are Day:Hour:Min offsets from the start of game time, ie. first period is 00:00:00 to 01:00:00 */
struct period { timeval tmax; char* index, *title; } periods[] =
{
	/***** DD:HH:MM  Suffix  Title *****/
	{ TMIN          , "_", "**[invalid]**"},
	{ TVAL( 0,23,59), "0", "Pre-game" },
	{ TVAL( 1,23,59), "1", "Day 1" },
	{ TVAL( 2,23,59), "2", "Day 2" },
	{ TVAL( 3,23,59), "3", "Day 3" },
	{ TVAL( 4,23,59), "4", "Day 4" },
	{ TVAL( 5,23,59), "5", "Day 5" },
	{ TVAL( 6,23,59), "6", "Day 6" },
	{ TVAL( 7,23,59), "7", "Day 7" },
	{ TMAX          , "8", "Post-game" }
};

/* Police ranks */
#define MAX_rank	16
#define DEF_rank	5

/* Rank names */
char* rank_name[MAX_rank+2] =
{
	"** Rank too low **",
	"Police tea-lady", /* rank 1 */
	"Traffic policeman",
	"Doughnut-buyer",
	"Dog-handler",
	"Constable",
	"Agent",
	"Special Agent",
	"Sergeant",
	"Officer",
	"Inspector",
	"Superintendent",
	"Chief Constable",
	"Chief Agent against Terrorism and Corruption",
	"Chief Assistant to the Assistant Chief",
	"Acting Chief of Police",
	"Chief of Police",
	"** Rank too great **"
};

/* CGI page footers */
#define FOOTER	"Return to: <a href=\"" NEWS_INDEX "\">index</a>" \
				" | <a href=\""CGI_URL"stats.cgi\">player list</a>" \
				" | <a href=\""NEWS_URL"head.html\">Headlines/a>" \
				" | <a href=\""NEWS_URL"news1.html\">News 1</a>" \
				" | <a href=\""NEWS_URL"news2.html\">News 2</a>" \
				" | <a href=\""NEWS_URL"news3.html\">News 3</a>" \
				" | <a href=\""NEWS_URL"news4.html\">News 4</a>" \
				" | <a href=\""NEWS_URL"news5.html\">News 5</a>" \
			/*	" | <a href=\""NEWS_URL"news6.html\">News 6</a>" \
			*/	" | <a href=\""NEWS_URL"hups.html\">Updates</a>"

/* File versioning constants */
#define CHK_DIG_ver		2	/* Number of digits used for file version */	
#define CHK_DIG_parm	8
#define CHK_NoHeader	-1
#define CHK_VER			25	/* A (CHK_DIG_ver) decimal number for current version */
#define CHK_uinfo		0
#define CHK_events		1
#define CHK_reps		2
#define CHK_MAX			3

/* File versioning header info */
struct chk
{
	size_t len;
	char *str1, *str2, *str3;
}
chk[CHK_MAX] =
{
	{ 27,					"!uinfo-ver.",	"-mw03-header!\n",	0			 },	/* CHK_unifo */
	{ 32 + CHK_DIG_parm,	"!event-ver.",	"-mw03-idx.",		"-header!\n" },	/* CHK_events */
	{ 31 + CHK_DIG_parm,	"!reps-ver.",	"-mw03-idx.",		"-header!\n" }	/* CHK_reps */
};

/*** The End ***/
