/***************************************************************************************************************************
** Old code fragment, in need of updating                                                                                 **
***************************************************************************************************************************/
#if 0
/* Player status event action types */
#define ACT_MkWanted		1	/* Make players (un)wanted, (un)incompetent, etc. */
#define ACT_MkPolice		2	/* Add/promote players in police force */
#define ACT_Reincarnate		3	/* Reincarnate players as assassins */
#define ACT_Pseudonym		6	/* Change players' pseudonyms */
#define ACT_Bonus			7	/* Award scoring bonuses */
/* Handle action events */
int doact(player_p authp, char** buf_posp, char* buf_end)
{
	long defnum = 0, *numdata = 0;
	char vid[16], *q, *p, *deftxt = 0, **ipids = 0, **txtdata = 0;
	int i, j, n = 0, act = 0, bad = 0, rc = 0, dup = 0; 
	bad_actev_type *baddata = 0, badtype = 0; 
	player_p *pldata = 0;
	editev_p nevs = 0;
	timmy tim, *ntims;


	/* Action type */
	switch (act = atoi(findval("act_type", 1)))
	{
		case ACT_MkWanted:
		{
			/* Default comment */
			if (!(deftxt = findval("act_dwant", 0))) deftxt = NO_COMMENT;

			/* Default change in wanted status */
			defnum = strtol(findval("act_dtodo", 1), 0, 10);

			break;
		}

		case ACT_Reincarnate:
		{
			/* Default inactivity deadline boost */
			defnum = strtol(findval("act_defp", 1), 0, 10);

			break;
		}

		case ACT_MkPolice: case ACT_Pseudonym: case ACT_Bonus: break;

		default: erf(ERF_UnknownAction, 4);
	}

	/* Require valid event time: min */
	if (!(p = findval("act_m", 0)) || ((tim.min =  (char)strtoul(p, &p, 10)) > 59UL)) { bad++; badtype |= BAD_actev_Min; }
	
	/* Require valid event time: hour */
	if (!(p = findval("act_h", 0)) || ((tim.hour = (char)strtoul(p, &p, 10)) > 23UL)) { bad++; badtype |= BAD_actev_Hour; }
	
	/* Require valid event time: day */
	if (!(p = findval("act_d", 0)) || ((tim.day =  (char)strtoul(p, &p, 10)) > 99UL)) { bad++; badtype |= BAD_actev_Day; }

	/* Count passed sub-events */
	for (n = 0, q = 0; (n < ACT_IdLim); n++)
	{
		/* No further thingies found */
		if ((sprintf(vid, "act_%did", n) < 7) || !(p = findval(vid, 0))) break;

		/* Note first id */
		else if (!q) q = p;
	}

	/* Nothing to do */
	if (n == 0) erf(ERF_Empty, 7);

	/* Paranoia: too many subevents */
	if (n >= ACT_IdLim) erf(ERF_Paranoia, 8);
	
	/* Authentication */
	if ((!authp) || !((authp->flags & PF_Admin) || ((n == 1) && (act == ACT_Pseudonym)
								&& (!strcmp(q, authp->id)) && !(authp->flags & PF_Special)))) erf(ERF_BadAuth, 5);

	if (rc) fprintf(stderr, "%li:   doact auth=\"%s\" act=%i n=%i bad=%i badtype=%u\n",
					uniqid, authp->id, act, n, bad, badtype);

	/* Prepare temporary file for chained stdin */
	if (!(flaunch = prepforstdin())) erf(ERF_tmpfileFailed, 6);

	/* Encode special display type */
	urlencode(flaunch, "sub_show", "AutoGen", 1);

	/* Allocate array of player id pointers */
	if (!(ipids = malloc(sizeof(char*) * 2 * (n + 1)))) erf(ERF_mallocFailed, 9);

	/* Array of data char pointers */
	txtdata = ipids + n + 1;

	/* Allocate array of data numbers */
	if (!(numdata = malloc(sizeof(long) * (n + 1)))) erf(ERF_mallocFailed, 10);

	/* Allocate array of input errors */
	if (!(baddata = malloc(sizeof(bad_actev_type) * (n + 1)))) erf(ERF_mallocFailed, 11);

	/* Allocate array for quicker reference */
	if (!(pldata = malloc(sizeof(player_p) * (n + 1)))) erf(ERF_mallocFailed, 40);

	/* Collate sub-event data */
	for (i = dup = 0; (dup < n); i++, dup++)
	{
		player_p pptr;

		/* Initialise */
		numdata[i] = 0;
		txtdata[i] = 0;
		baddata[i] = 0;
		pldata[i]  = 0;

		/* Note pid */
		if ((sprintf(vid, "act_%did", dup) < 7) || !(ipids[i] = findval(vid, 0))) erf(ERF_InternalError, 12);

		/* Ignore duplicates */
		for (j = 0; (j < i); j++) if (!strcmp(ipids[i], ipids[j])) { --i; continue; }

		/* Does this pid exist in the uinfo file? */
		for (pptr = plist; (pptr); pptr = pptr->link) if (!strcmp(ipids[i], pptr->id)) break;

		/* Nope, no such player */
		if (!(pldata[i] = pptr)) { ++bad; baddata[i] |= BAD_actev_PID; }

		/* Gather additional data */
		switch (act)
		{
			case ACT_Reincarnate:
			{
				/* Use default inactivity period boost? */
				if ((sprintf(vid, "act_%dtp", dup) < 7) || !(p = findval(vid, 0))) numdata[i] = defnum;

				/* Use given one */
				else numdata[i] = strtol(p, &p, 10);

				/* Check */
				if ((numdata[i] < 0L) || (numdata[i] > 99L)) { ++bad; baddata[i] |= BAD_actev_Boost; } 

				break;
			}

			case ACT_MkWanted:
			{
				/* Use default lawfulness change? */
				if ((sprintf(vid, "act_%dnc", dup) < 7) || !(p = findval(vid, 0))) numdata[i] = defnum;

				/* Use individual one */
				else numdata[i] = strtol(p, &p, 10);

				/* Check */
				if ((numdata[i] < 1L) || (numdata[i] > 4L)) { ++bad; baddata[i] |= BAD_actev_WantAct; } 

				/* Use default or individual wantedness text? */
				if ((sprintf(vid, "act_%dwn", dup) < 7) || !(txtdata[i] = findval(vid, 0))) txtdata[i] = deftxt;

				break;
			}

			case ACT_MkPolice:
			{
				/* Pseudonym 'rank' specified? */
				txtdata[i] = (sprintf(vid, "act_%dps", dup) < 7) ? 0 : findval(vid, 0);

				break;
			}

			case ACT_Bonus:
			{
				/* Bonus specified? */
				if ((sprintf(vid, "act_%dsb", dup) < 7) || !(p = findval(vid, 0))) { ++bad; baddata[i] |= BAD_actev_Missing; }
				
				/* Convert to correct format/magnitude */
				else numdata[i] = rint((1 << SCORE_SHIFT) * strtod(p, 0));
			
				break;
			}

			case ACT_Pseudonym:
			{
				/* Set new pseudonym? */
				if ((sprintf(vid, "act_%dop", dup) < 7) || !(p = findval(vid, 0))) numdata[i] = 1;

				/* Add new pseudonym? */
				else if (!strcmp(p, "-")) numdata[i] = 2;

				/* Reselect old pseudonym */
				else numdata[i] = 3;

				/* Pseudonym text */
				txtdata[i] = (numdata[i] > 2) ? p : (sprintf(vid, "act_%dnp", dup) < 7) ? 0 : findval(vid, 0);

				/* Clean up text */
				if (txtdata[i])
				{
					/* Strip leading white space */
					for (p = txtdata[i]; (*p == ' ') || (*p == ''); p++);

					/* Strip trailing white space */
					if (txtdata[i] = (*p) ? p : 0)
					{
						for (q = p + strlen(p); (--q > p) && ((*q == ' ') || (*q == '')); *q = 0);
					}
				}

				/* Missing pseudonym text */
				if (!txtdata[i]) { ++bad; baddata[i] |= BAD_actev_Pseud; } 

				break;
			}
		}

		/* Make sure this player is selected for special stats display afterwards */
		fputs("&id_", flaunch);
		urlencode(flaunch, ipids[i], "show", 1);
	}

	fprintf(stderr, "%li:   doact auth=\"%s\" act=%i n=(%i,%i) bad=%i badtype=%u\n",
					uniqid, authp->id, act, n, i, bad, badtype);

	/* Count the number of duplicate player ids which have been ignored */
	if ((dup = n - i) < 0) erf(ERF_InternalError, 13);

	/* Terminate lists, retain possibly smaller value of n */
	numdata[n = i] = 0; ipids[n] = txtdata[n] = 0; baddata[n] = 0; pldata[n] = 0;

	/* Present non-fatal mistakes in input */
	if (bad) erf(ERF_Naughty, 14);

	/* Check validity of pseudonyms */
    if (act == ACT_Pseudonym)
    {
		pstate_p pstlist, pstp;
		ppseud_p pseudp;

		/* Collect all pseudonyms ever used */
		if (j = evolve(EVOLVE_MatchAll|EVLadd_NoRetargs|EVOLVE_InheritPseud|EVLadd_AllPseuds,
					   0, 0, &pstlist, 0, 0, 0, 0, 0, 0, 0, 0, *buf_posp, buf_end, buf_posp, 0,0,0,0)) erf(j, 15);

		/* Check each sub-event */
    	for (i = 0; (i < n); i++)
    	{
			/* Scan each evolved player */
    		for (pstp = pstlist; (pstp); pstp = pstp->next)
    		{
				/* Scan all evolved players' pseudonyms */
    			for (pseudp = pstp->allpseuds; (pseudp); pseudp = pseudp->link_pl)
    			{
					/* Matching? */
    				if (!strcasecmp(txtdata[i], pseudp->text)) break;
    			}

				/* Early return for match if does not already belong to this player */
				if ((pseudp) && (strcmp(pstp->pid, ipids[i]))) break;
    		}

			/* Someone else has already claimed this pseudonym */
			if (pstp) { ++bad; baddata[i] |= BAD_actev_PseudMatch; }
    	}
    }

	/* ToDo --- Check deadness for police/player reincarnation,  */
	/*          check wanted status for lawfulness changes, etc. */

	/* Present non-fatal mistakes in input */
	if (bad) erf(ERF_Naughty, 16);

	/* Allocate event edit structures */
	if (!(nevs = malloc(n * sizeof(struct edev)))) erf(ERF_mallocFailed, 17);

	/* Allocate new times structures */
	if (!(ntims = malloc(n * sizeof(timmy)))) erf(ERF_mallocFailed, 18);

	/* Make the changes */
	for (i = 0; (i < n); i++)
	{
		unsigned long fl;
		editev_p nevp = &nevs[i];

		/* Link into list */
		if (i > 0) nevs[i-1].next = nevp;

		/* End of list */
		nevp->next = 0;
		nevp->link = 0;

		/* Add new event, chronologically */
		nevp->at = tim;
		nevp->rid = 0;
		nevp->mode = 0;
		nevp->nref = 0;
		nevp->oldref = 0;

		/* Initialise blank struct */
		init_edev_struct(nevp);

		/* Fill in event details */
		nevp->npid     = ipids[i];
		nevp->ntimp    = &thetim;
		nevp->nflsp    = &fl;

		/* Create a lawfulness event */
		if (act == ACT_MkWanted)
		{
			/* Choose flags */
			switch (numdata[i])
			{
				/* Only change comment */
				case 3: fl = (EF_ChangeComment); break;
	
				/* Make unwanted */
				case 1:	fl = (EF_MakeUnWanted|EF_MakeCompetent|EF_ChangeComment); break;

				/* Make incompetently wanted */
				case 2: fl = (EF_MakeWanted|EF_MakeIncompetent|EF_ChangeComment); break;

				/* Make competently wanted */
				case 4: fl = (EF_MakeWanted|EF_MakeCompetent|EF_ChangeComment); break;
			}

			/* New wantedness string */
			nevp->nwanted = txtdata[i];
		}

		/* Change pseudonyms */
		else if (act == ACT_Pseudonym)
		{
			/* Choose flags */
			fl = ((numdata[i] < 2) ? (EF_AddPseudonym) : (0UL)) | ((numdata[i] == 2) ? (0UL) : (EF_SetPseudonym));

			/* Pseudonym text */
			nevp->npseud = txtdata[i];
		}

		/* Reincarnate players */
		else if (act == ACT_Reincarnate)
		{
			/* New inactivity deadline */
			ntims[i].min   = tim.min;
			ntims[i].hour  = tim.hour;
			ntims[i].day   = tim.day + ((char)numdata[i]);
			nevp->ntimp = &ntims[i];

			/* Flags */
			fl = (EF_Reincarnate|EF_SetInactTimer);
		}

		/* Reincarnate as police */
		else if (act == ACT_MkPolice)
		{
			/* Event flags */
			fl = (EF_MakePolice|EF_MakeUnWanted|EF_MakeCompetent);

			/* Optionally change pseudonym */
			if (nevp->npseud = txtdata[i]) fl |= (EF_SetPseudonym);
		}

		/* Award scoring bonuses */
		else if (act == ACT_Bonus)
		{
			/* Event flags */
			fl = EF_ScoreBonus;

			/* Magnitude of bonus */
			nevp->nbonusp = &numdata[i];
		}

		else { fprintf(stderr, "%li:   Wierdness %i act=%i pid=\"%s\"\n", uniqid, i, act, STR(ipids[i])); continue; };

		/* Old event adder */
		/*if ((j = newevent(&nevp, 0, 0, 0, &tim, buf_posp, buf_end)) > 0) break;*/
	}

	/* Form comment */
	if ((buf_end - (p = *buf_posp)) > (96+MAX_id))
	{
		/* Comment string */
		j = sprintf(p, " Added at realtime %.2i:%.2i:%.2i by auth \"%*s\":",
					thetim.day, thetim.hour, thetim.min, (int)MAX_id, authp->id);

		/* Check string length */
		if ((j < 20) || (j > (96+MAX_id))) p = 0;

		/* Advance buffer position */
		else *buf_posp += 1 + j;
	}

	/* No comment */
	else p = 0;

	/* Add the events */
	if (i = editevents(0, nevs, buf_posp, buf_end, p, 0)) erf(i, 20);

	/* Successful update: Run scoring update, remake news, and execute stats.cgi later */
	rescore |= RESC_Scoring|RESC_MkNews|RESC_Flaunch;

	/* Encode sorting method */
	urlencode(flaunch, "sort", findval("sort", 1), 0);

	/* Encode authname */
	urlencode(flaunch, "authname", authp->id, 0);

	/* Encode password */
	urlencode(flaunch, "authpass", authp->pass, 0);


_erf: /****** Error handling ******/

	/* Debug */
	if (rc) fprintf(stderr, "%li:   doact(%i):%i auth=\"%s\" act=%i n=%i bad=%i badtype=%u\n",
					uniqid, ERF_CONTEXT(rc), ERF_TYPE(rc), authp->id, act, n, bad, badtype);

	/* Only retain low bits of normal rc's, and pass most of then on */
	if (((rc = ERF_LOWBITS(rc)) != ERF_Empty) && (rc != ERF_Naughty)) return (rc);

	/* Special circumstances */
	if (rc == ERF_Empty)
	{
		printf("Content-type: text/html" LF
			   LF "<HTML><HEAD><TITLE>" GAME " - Player State Change Event(s)</TITLE></HEAD>"
			   LF "<BODY bgcolor=#000000 text=#FFFFDD link=#BBBBFF vlink=#FFCCFF alink="WHITE">"
			   LF "<h1><hr>" GAME " Player State Change Event(s)<hr></h1><h3>"
			   LF "<img src=\"" CROSS_URL "\" align=left " CROSS_SIZ " hspace=8>"
			   LF "<font color=#FFCCCC>No event data submitted.</font></h3>"
			   LF "<p>Authenticated as <b>%s</b>%s.</p>"
			   LF "<form method=\"POST\" action=\"" CGI_URL "stats.cgi\">"
			   LF "<input type=\"hidden\" name=\"authname\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"authpass\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"time_d\" value=\"%i\">"
			   LF "<input type=\"hidden\" name=\"time_h\" value=\"%i\">"
			   LF "<input type=\"hidden\" name=\"time_m\" value=\"%i\">"
			   LF "<input type=\"hidden\" name=\"action\" value=\"%i\">"
			   LF "<input type=\"hidden\" name=\"vitality\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"rest\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"sort\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"law\" value=\"%s\">"
			   LF "<p><input value=\"Return to stats page\" type=\"submit\" name=\"resort\"></p></form>"
			   LF "<p align=right>Produced at %s.</p></BODY></HTML>" LF,
			   authp->name, ((authp->flags & PF_Admin) ? " (admin)" : ""),
			   authp->id, authp->pass, tim.day, tim.hour, tim.min, act,
			   findval("vitality", 1), findval("rest", 1), findval("sort", 1), findval("law", 1), ctime(&thetime));
	}
		
	/* Produce hand-helping diagnostics for some */
	else if (rc == ERF_Naughty)
	{
		printf("Content-type: text/html" LF
			   LF "<HTML><HEAD><TITLE>" GAME " - Player State Change Event(s)</TITLE></HEAD>"
			   LF "<BODY bgcolor=#000000 text=#FFFFDD link=#BBBBFF vlink=#FFCCFF alink="WHITE">"
			   LF "<h1><hr>" GAME " Player State Change Event(s)<hr></h1><h3>"
			   LF "<img src=\"" CROSS_URL "\" align=left " CROSS_SIZ " hspace=8>"
			   LF "<font color=#FFCCCC>You can't do that, Dave.</font></h3>"
			   LF "<form method=\"POST\" action=\"" CGI_URL THIS_CGI "\">"
			   LF "<input type=\"hidden\" name=\"authname\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"authpass\" value=\"%s\">"
			   LF "<p>Authenticated as <b>%s</b>%s.<br>",
			   authp->id, authp->pass, authp->name, ((authp->flags & PF_Admin) ? " (admin)" : "")); 

		if (dup) printf(LF "<b>Ignored %i duplicate</b> players. ", dup);

		printf(LF "Found <b>%i mistake%s</b> in submitted data.<br>"
			   LF "Please correct the highlighted mistakes and resubmit.</p>"
			   LF "<p><table cellpadding=4 cellspacing=4 border=0>", bad, ((bad > 1) ? "s" : ""));

		if (badtype & (BAD_actev_Min|BAD_actev_Hour|BAD_actev_Day))
		{
			puts(LF "<tr><td bgcolor=#990000 colspan=0><font color="WHITE"><b>Invalid time...</b></font></td></tr>"
				 LF "<tr><td bgcolor="BLUE">[enter new time; not yet implemented]</td></tr>");
		}

		else printf(LF "<input type=\"hidden\" name=\"time_d\" value=\"%i\">"
					LF "<input type=\"hidden\" name=\"time_h\" value=\"%i\">"
					LF "<input type=\"hidden\" name=\"time_m\" value=\"%i\">",
					tim.day, tim.hour, tim.min);

		for (i = 0; (i < n); i++)
		{
			if ((baddata[i] & BAD_actev_PID) || (!pldata[i]))
			{
				printf(LF "<tr><td bgcolor=#AA0000 colspan=3><font color="WHITE">"
					   LF "<b>Unknown player &quot;%s&quot;.</b></font></td></tr>", ipids[i]);
				continue;
			}

			if (baddata[i]) puts("<tr><td bgcolor=#AA0000 colspan=3><font color="WHITE"><b>");

			for (j = 0; (j < BAD_actev__MAX_IDX); j++) if (baddata[i] & (1 << j)) puts(doact_badstuff[j]);

			if (baddata[i]) printf("</b></font></td></tr><input type=\"hidden\" name=\"act_%did\" value=\"%s\">"
								   "<tr><td bgcolor="BLUE"><b><font color="WHITE">%s</font></b></td>",
								   i, ipids[i], pldata[i]->name);
			switch (act)
			{
				case ACT_Pseudonym:
				{
					if (baddata[i])
					{
                        printf(LF "<td bgcolor="RED"><input type=\"checkbox\" name=\"act_%dop\" %svalue=\"-\">"
                        	   LF "Don't set as default: </td><td bgcolor="RED">"
                        	   LF "<input type=\"text\" name=\"act_%dnp\" value=\"",
                        	   i, ((numdata[i] == 2) ? "checked " : ""), i);
						if (txtdata[i]) encapsulate(txtdata[i], stdout);
						puts("\"></td></tr>");
					}
					else
					{
						if (numdata[i] == 2) printf("<input type=\"hidden\" name=\"act_%dop\" value=\"-\">"
													"<input type=\"hidden\" name=\"act_%dnp\" value=\"", i, i);
						else printf("<input type=\"hidden\" name=\"act_%dop\" value=\"", i);
						encapsulate(txtdata[i], stdout);
						puts("\">");
					}
				}
			}
		}

		printf(LF "</table></p><input type=\"hidden\" name=\"action\" value=\"%i\">"
			   LF "<input type=\"hidden\" name=\"vitality\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"rest\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"sort\" value=\"%s\">"
			   LF "<input type=\"hidden\" name=\"law\" value=\"%s\">"
			   LF "<p><input value=\"Resubmit\" type=\"submit\" name=\"sub_act\"></p></form>"
			   LF "<hr><p>" FOOTER " &mdash; Produced at %s.<hr></p></BODY></HTML>" LF, act,
			   findval("vitality", 1), findval("rest", 1), findval("sort", 1), findval("law", 1), ctime(&thetime));
	}

	/* Don't pass on anything */
	return 0;
}
/* XXX XXX --- might be important */
doact_fragment()
{
	/* Evaluate passed events */
	for (i = j = 0; (j < 1) && (i < 300) &&  && (*()); i++)
	{
		/* Reincarnate as player */
		if (a == ACT_Reincarnate)
		{
			/* Use default inactivity period boost? */
			if ((sprintf(vid, "act_%dtp", i) <= 6) || !(p = findval(vid, 0))) tf = boost;

			/* Use given one */
			else if ((tf = strtoul(p, &p, 10)) > 99UL) return (DOC_SillyEvent);

			/* New inactivity time */
			tim2.min   = tim.min;
			tim2.hour  = tim.hour;
			tim2.day   = tim.day + tf;
			nevp.ntimp = &tim2;

			/* Flags */
			tf = (EF_Reincarnate|EF_SetInactTimer);
		}

		/* Reincarnate as police */
		else if (a == ACT_MkPolice)
		{
			/* Event flags */
			tf = (EF_MakePolice|EF_MakeUnWanted|EF_MakeCompetent);

			/* Pseudonym 'rank' specified? */
			if ((sprintf(vid, "act_%dps", i) > 6) && (p = findval(vid, 0)))
			{
				nevp.pseud = p;
				tf |= (EF_AddPseudonym|EF_SetPseudonym);
			}
		}

		/* Changes to wantedness */
		else
		{
			/* Action specified? */
			if ((sprintf(vid, "act_%dnc", i) > 6) && (p = findval(vid, 0))) tf = strtol(p, 0, 10);

			/* If not, use default */
			else tf = dact;

			/* Choose flags */
			switch (tf)
			{
				/* Only change comment */
				case 3: tf = (EF_ChangeComment); break;
	
				/* Make unwanted */
				case 1:	tf = (EF_MakeUnWanted|EF_MakeCompetent|EF_ChangeComment); break;

				/* Make incompetently wanted */
				case 2: tf = (EF_MakeWanted|EF_MakeIncompetent|EF_ChangeComment); break;

				/* Make competently wanted */
				case 4: tf = (EF_MakeWanted|EF_MakeCompetent|EF_ChangeComment); break;

				/* Do nothing */
				default: continue;
			}

			/* Try specific or default wantedness */
			if ((sprintf(vid, "act_%dwn", i) < 7) || !((p = findval(vid, 0)) || (p = def))) j = (DOC_NoWanted);

			/* Found it */
			else nevp.wanted = p;
		}

		/* No errors so far? */
		if (j > 0) break;

		/* No reference */
		nevp.ref = 0;

		/* Event time */
		nevp.whenp = &tim;

		/* Event flags */
		nevp.flsp = &tf;

		/* Add retargetting event */
		if ((j = newevent(&nevp, 0, 0, nevp.pid, 0, &tim, &plbuf_pos, plbuf_end)) > 0) break;

		fputs("&id_", fp);
		urlencode(fp, nevp.pid, "show", 1);
}
/* XXX XXX --- Code that dealt with editing events */
frag_0
{
		/* Already has a headline? */
		headline = (f & EF_News) ? (thisev.news[1]) : "[f1]???[f0]";

		/* Alter event? */
		if (mode == 4)
		{
			char hackbuf[32];
			struct neventp nevp = {ref, 0, 0, {0,0,0,0,0,0}, {0, 0}, {hackbuf, 0}, 0, &f, 0, 0, 0};

			/* Time of modification */
			sprintf(hackbuf, "%02d:%02d:%02d", dtim.day, dtim.hour, dtim.min);

			/* Option: Invisible */
			if (findval("ev_sinv", 0)) f |= (EF_Invisible); else f &= ~(EF_Invisible);
	
			/* Option: Ignored */
			if (findval("ev_sunsc", 0)) f |= (EF_Ignore); else f &= ~(EF_Ignore);

			/* Option: Annulled */
			if (findval("ev_sanul", 0)) f |= (EF_Annulled); else f &= ~(EF_Annulled);

			/* Optionally edit news and main report */
			if (findval("ev_ednews", 0))
			{
				struct anewrep nrptr = { 0, 0, 0, 0, 0 };

				/* Option: Show headline */
				if (findval("ev_shead", 0)) f |= (EF_ShowHeadline); else f &= ~(EF_ShowHeadline);

				/* Acquire headline */
				if (!*(headline = findval("ev_head", 1))) return (DOC_SillyEvent);

				/* Use it in preference */
				else nevp.news[1] = headline;

				/* Acquire main report */
				if (!*(nrptr.text = mainrep = findval("ev_html", 1+4))) return (DOC_SillyEvent);

				/* Change it in records */
				if (i = procrec(rid, 0, &plbuf_pos, plbuf_end, 0, &nrptr)) return (i);
			}	

			/* Alter the event record */
			if ((i = newevent(&nevp, 0, ref, 0, 0, 0, &plbuf_pos, plbuf_end)) > 0) return (i);
		}

		/* Add report to existing event */
		/*if ((i = newevent(0, rid, ref, 0, 0, 0, &plbuf_pos, plbuf_end)) > 0) return (i);*/
}
/* XXX XXX --- Code that dealt with wantedness/activity parts of event */
frag_3
{
			/* Require valid deadline boost */
			if (!(p = findval("ev_boost", 0)) || ((b = strtoul(p, &p, 10)) > (99 - d))) return (DOC_SillyEvent);
	
			/* Boost inactivity timer */
			if (b) f |= (EF_SetInactTimer);
	
			/* Option: Make (un)Wanted */
			if (findval("ev_swant", 0))
			{
				/* Get "wantedness" string */
				if (!(wanted = findval("ev_wanted", 0)) && !(p1f & PF_Wanted)) return (DOC_SillyEvent);
	
				/* Make unwanted (possibly change comment) */
				else if (p1f & PF_Wanted) f |= (EF_MakeUnWanted|EF_MakeCompetent) | ((wanted) ? (EF_ChangeComment) : 0);
	
				/* Make wanted - Set flag to make wanted and change wantedness */
				else f |= (EF_MakeWanted|EF_ChangeComment);
			}
	
			/* Remaining wanted, but "wantedness" changing? */
			else if (p1f & PF_Wanted)
			{
				/* Get "wantedness" string */
				if (!(wanted = findval("ev_wanted", 0))) return (DOC_SillyEvent);
	
				/* Set flag to alter "wantedness" if changed */
				else if (strcmp(wanted, findval("ev_owant", 1))) f |= (EF_ChangeComment);
			}
}
#endif
